import React, { Children } from "react";
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { Button } from "../components/Button";



export default{
    title: 'Button',
    component: Button,
} as ComponentMeta<typeof Button>;

const Template: ComponentStory<typeof Button> = (args) => <Button {...args} />;

export const High = Template.bind({});
High.args = {
    emphasis: 'high',
    children: ['High'],
};

export const Medium = Template.bind({});
Medium.args = {
    emphasis: 'medium',
    children: ['Medium'],
};

export const Low = Template.bind({});
Low.args = {
    emphasis:'low',
    children:['Low'],
};